Subject: Internet draft lifecycle

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 7 Jul 2015 14:06:27 -0400

Looking through my expired IDs, I noticed there were distinct categories:

1) Stuff that is dead and done with.

2) Stuff that turned into something else

3) Stuff that is actually under current development but hasn't made an
update in the past 6 months because I have other stuff ahead of it.

It would actually be very useful to be able to distinguish between these
cases. Especially to distinguish cases 1 and 2. For example, a lot of times
a WG will ask for comments to be submitted as an ID. The WG has a
discussion and the issue is closed. In such cases no successor document is
likely to exist or be created in the future.

In other cases though, I have drafts that I have stopped working on because
I have agreed to merge my proposal with someone else's or the draft has
become a WG draft but in a non-obvious fashion.

It would be really useful to be able to track these so that when I am
looking at past proposals, I can see which have died because they were no
longer needed and which I should probably be doing something with.